<div id="icon-options-general" class="icon32"></div>
<h2>FusionHQ API Settings</h2>

<?php
if (isset($_POST['submit-button'])) {
	$apiemail = get_option('fhq_account');
	$apikey = get_option('fhq_apikey');
	$returnvar = fhq_server_request($apiemail,$apikey,"updatememsite",array("memsite"=>$_POST['selectmemsite']));
		
	update_option('fhq_select_memsite', $_POST['selectmemsite']);
	echo "<div id='message' class='updated fade'><p><strong>Settings saved.</strong></p></div>";
}

if (isset($_POST['verify-button'])) {
	$fhq_account = $_POST['fhq_account'];
	$fhq_apikey = $_POST['fhq_apikey'];
	
	if($fhq_account==NULL || $fhq_account=='') {
		echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Please enter your FusionHQ Account Email</font></strong></p></div>";
	} else if($fhq_apikey==NULL || $fhq_apikey=='') {
		update_option('fhq_account', $fhq_account);
		echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Please enter your FusionHQ API Secret Key</font></strong></p></div>";
	} else {
		$returnvar = fhq_server_request($fhq_account, $fhq_apikey, "verifyapi");
		
		if ($returnvar->success) {
			update_option('fhq_account', $fhq_account);
			update_option('fhq_apikey', $fhq_apikey);
			update_option('fhq_validation', '1');
	
			echo "<div id='message' class='updated fade'><p><strong><font color='#009900'>Verification completed, please select membership site.</font></strong></p></div>";
	
			$returnvar = fhq_server_request($fhq_account, $fhq_apikey, "memlevel_list");
			if ($returnvar->success){
				global $wpdb;
				$wpdb->query("TRUNCATE TABLE {$wpdb->prefix}fhq_memlevel");
				foreach ($returnvar->result as $val) {
					$wpdb->insert("{$wpdb->prefix}fhq_memlevel", array('memlevel_id' => $val->id, 'memlevel_name' => $val->name), array('%d', '%s'));
				}
			}
			
			$returnvar = fhq_server_request($fhq_account, $fhq_apikey, "memsite_list",array('hosting'=>'WORDPRESS'));
			if($returnvar->success) {
				$memsiteArray = array();
				foreach ($returnvar->result as $val) {
					$id = $val->id;
					$memsiteArray[$id]['name'] = $val->name;
					$memsite_http_url = parse_url($val->http_url);
					if($_SERVER['HTTP_HOST'] == $memsite_http_url['host']) {
						update_option('fhq_select_memsite', $id);
					}
				}
				$json = json_encode($memsiteArray);
				update_option('fhq_memsite', $json);
			} else {
				echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>There is no FusionHQ Memebership Site that have been set hosting type to WordPress yet.</font></strong></p></div>";
			}
		} else {
			update_option('fhq_account', '');
			update_option('fhq_apikey', '');
			update_option('fhq_validation', '0');
			update_option('fhq_select_memsite', '');
			update_option('fhq_memsite', '');
			echo "<div id='message' class='updated fade'><p><strong><font color='#FF0000'>Verification failed. {$returnvar->message}</font></strong></p></div>";
		}
	}
}
?>
<h3>Vertify your FusionHQ Account</h3>
<form action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post">
	<table border="0" cellspacing="3" cellpadding="3">
		<tr>
			<td width="220" nowrap="nowrap">Your FusionHQ Account Email:</td>
			<td><input name="fhq_account" type="text" id="fhq_account" style="width:300px;" value="<?php echo get_option('fhq_account'); ?>" size="50"></td>
		</tr>
		<tr>
			<td nowrap="nowrap">Your FusionHQ API Secret Key:</td>
			<td><input name="fhq_apikey" type="text" id="fhq_apikey" style="width:300px;" value="<?php echo get_option('fhq_apikey'); ?>" size="50">&nbsp;<span class="description">You can find your API Key in the settings area of your FusionHQ account</span></td>
		</tr>
	</table>
	<p class="submit">
		<input class="button-primary" type="submit" name="verify-button" id="verify-button" value="Verify Account">
	</p>
	
	<?php if(get_option('fhq_validation') == 1 && get_option('fhq_memsite') && get_option('fhq_memsite')!='') { ?>			
	<div>
		<h3>Select FusionHQ Membership Site</h3>
		<table border="0" cellspacing="3" cellpadding="3">

			<tr>
				<td width="180">FusionHQ Membership Site</td>
				<td width="200"><?php $returnvar = json_decode(get_option('fhq_memsite')); ?>
					<select name="selectmemsite" id="selectmemsite" style="width:10em;">
						<?php foreach ($returnvar as $key => $val) { ?>
							<option value="<?php echo $key ?>"
								   <?php if (get_option('fhq_select_memsite') == $key) {
									   echo "selected='selected'";
								   } ?>><?php echo $val->name ?></option>
								   <?php } ?>
					</select></td>
			</tr>
		</table>
		<p class="submit">
			<input class="button-primary" type="submit" name="submit-button" id="submit-button" value="Save Changes">
		</p>
	</div>
	<?php } ?>
</form>